読者です 読者をやめる 読者になる 読者になる

欠如

来世は貝になりたい

PHP7でLaravelの開発環境を構築する-Part1

今回は、C9で PHP をバージョンアップしてLaravelをcomposerで管理を
行ったときのメモです。

Part1ではPHPをPHP7以上にバージョンアップするところまで行います。

*開発環境*
・cloud9
・PHP7
・Laravel5.2

$ sudo apt-get update

sudo apt-get update
Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Ign http://downloads-distro.mongodb.org dist InRelease                         
Get:2 http://ppa.launchpad.net trusty InRelease [15.5 kB]                      
Hit http://downloads-distro.mongodb.org dist Release.gpg                       
Ign http://asia-east1.gce.clouds.archive.ubuntu.com trusty InRelease           
Get:3 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates InRelease [65.9 kB]
Get:4 http://ppa.launchpad.net trusty InRelease [15.4 kB]    
Ign http://toolbelt.heroku.com ./ InRelease                                    
Get:5 http://security.ubuntu.com trusty-security/main Sources [167 kB]         
Hit http://downloads-distro.mongodb.org dist Release                           
Get:6 http://ppa.launchpad.net trusty/main amd64 Packages [23.2 kB]            
Get:7 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports InRelease [65.9 kB]
Hit http://toolbelt.heroku.com ./ Release.gpg                                  
Get:8 http://asia-east1.gce.clouds.archive.ubuntu.com trusty Release.gpg [933 B]
Hit http://downloads-distro.mongodb.org dist/10gen amd64 Packages              
Get:9 http://security.ubuntu.com trusty-security/universe Sources [62.7 kB]    
Get:10 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main Sources [492 kB]
Hit http://toolbelt.heroku.com ./ Release                                      
Get:11 http://ppa.launchpad.net trusty/main i386 Packages [23.2 kB]            
Get:12 http://security.ubuntu.com trusty-security/main amd64 Packages [767 kB] 
Hit http://downloads-distro.mongodb.org dist/10gen i386 Packages               
Get:13 http://ppa.launchpad.net trusty/main amd64 Packages [3427 B]            
Hit http://toolbelt.heroku.com ./ Packages                                     
Get:14 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted Sources [6467 B]
Get:15 http://ppa.launchpad.net trusty/main i386 Packages [3427 B]             
Get:16 http://security.ubuntu.com trusty-security/universe amd64 Packages [203 kB]
Get:17 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe Sources [226 kB]
Get:18 http://security.ubuntu.com trusty-security/main i386 Packages [710 kB]
Get:19 http://security.ubuntu.com trusty-security/universe i386 Packages [203 kB]
Get:20 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse Sources [7656 B]
Get:21 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main amd64 Packages [1233 kB]
Get:22 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted amd64 Packages [21.2 kB]
Get:23 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe amd64 Packages [524 kB]
Get:24 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [15.6 kB]
Get:25 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main i386 Packages [1174 kB]
Get:26 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted i386 Packages [20.9 kB]
Get:27 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe i386 Packages [526 kB]
Get:28 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse i386 Packages [16.1 kB]
Get:29 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main Sources [10.4 kB]
Get:30 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted Sources [40 B]
Get:31 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe Sources [41.2 kB]
Get:32 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse Sources [1751 B]
Get:33 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main amd64 Packages [14.8 kB]
Get:34 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted amd64 Packages [40 B]
Get:35 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe amd64 Packages [52.6 kB]
Get:36 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse amd64 Packages [1396 B]
Get:37 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main i386 Packages [14.8 kB]
Get:38 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted i386 Packages [40 B]
Get:39 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe i386 Packages [52.6 kB]
Get:40 http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse i386 Packages [1381 B]
Get:41 http://asia-east1.gce.clouds.archive.ubuntu.com trusty Release [58.5 kB]
Get:42 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main Sources [1335 kB]
Get:43 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted Sources [5335 B]
Get:44 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe Sources [7926 kB]
Get:45 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse Sources [211 kB]
Get:46 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main amd64 Packages [1743 kB]
Get:47 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted amd64 Packages [16.0 kB]
Get:48 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe amd64 Packages [7589 kB]
Get:49 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse amd64 Packages [169 kB]
Get:50 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main i386 Packages [1739 kB]
Get:51 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted i386 Packages [16.4 kB]
Get:52 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe i386 Packages [7597 kB]
Get:53 http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse i386 Packages [172 kB]
Fetched 35.4 MB in 18s (1892 kB/s)                                             
Reading package lists... Done
W: Size of file /var/lib/apt/lists/ppa.launchpad.net_fkrull_deadsnakes_ubuntu_dists_trusty_main_binary-amd64_Packages.gz is not what the server reported 23171 23198
W: Size of file /var/lib/apt/lists/ppa.launchpad.net_fkrull_deadsnakes_ubuntu_dists_trusty_main_binary-i386_Packages.gz is not what the server reported 23183 23195

$sudo add-apt-repository ppa:ondrej/php

sg_tmt:~/workspace $ sudo add-apt-repository ppa:ondrej/php
Co-installable PHP versions: PHP 5.6, PHP 7.0, PHP 7.1 and most requested extensions are included.

PLEASE DON'T USE PHP 5.4 OR PHP 5.5. The PHP 5.5 and later are no longer supported with security updates, therefore they are not included in this repository.

You can get more information about the packages at https://deb.sury.org

BUGS&FEATURES: This PPA now has a issue tracker: https://deb.sury.org/#bug-reporting

PLEASE READ: If you like my work and want to give me a little motivation, please consider donating regularly: https://donate.sury.org/

WARNING: add-apt-repository is broken with non-UTF-8 locales, see https://github.com/oerdnj/deb.sury.org/issues/56 for workaround:

# LC_ALL=C.UTF-8 add-apt-repository ppa:ondrej/php
 More info: https://launchpad.net/~ondrej/+archive/ubuntu/php
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmptrdsipzz/secring.gpg' created
gpg: keyring `/tmp/tmptrdsipzz/pubring.gpg' created
gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
gpg: /tmp/tmptrdsipzz/trustdb.gpg: trustdb created
gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK

$sudo apt-get install python-software-properties

sg_tmt:~/workspace $ sudo apt-get install python-software-properties
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
 python-pycurl
Suggested packages:
 libcurl4-gnutls-dev python-pycurl-dbg
The following NEW packages will be installed:
 python-pycurl python-software-properties
0 upgraded, 2 newly installed, 0 to remove and 93 not upgraded.
Need to get 67.5 kB of archives.
After this operation, 358 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://asia-east1.gce.clouds.archive.ubuntu.com/ubuntu/ trusty/main python-pycurl amd64 7.19.3-0ubuntu3 [47.9 kB]
Get:2 http://asia-east1.gce.clouds.archive.ubuntu.com/ubuntu/ trusty-updates/universe python-software-properties all 0.92.37.7 [19.6 kB]
Fetched 67.5 kB in 1s (52.9 kB/s)                     
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline
Selecting previously unselected package python-pycurl.
(Reading database ... 75437 files and directories currently installed.)
Preparing to unpack .../python-pycurl_7.19.3-0ubuntu3_amd64.deb ...
Unpacking python-pycurl (7.19.3-0ubuntu3) ...
Selecting previously unselected package python-software-properties.
Preparing to unpack .../python-software-properties_0.92.37.7_all.deb ...
Unpacking python-software-properties (0.92.37.7) ...
Setting up python-pycurl (7.19.3-0ubuntu3) ...
Setting up python-software-properties (0.92.37.7) ...

$sudo apt-get update

sg_tmt:~/workspace $ sudo apt-get update
Hit http://security.ubuntu.com trusty-security InRelease
Hit http://ppa.launchpad.net trusty InRelease                                  
Ign http://downloads-distro.mongodb.org dist InRelease                         
Ign http://asia-east1.gce.clouds.archive.ubuntu.com trusty InRelease           
Hit http://ppa.launchpad.net trusty InRelease 
Get:1 http://ppa.launchpad.net trusty InRelease [20.9 kB]                      
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates InRelease   
Hit http://security.ubuntu.com trusty-security/main Sources                    
Ign http://toolbelt.heroku.com ./ InRelease                                    
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports InRelease 
Hit http://downloads-distro.mongodb.org dist Release.gpg                       
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty Release.gpg         
Hit http://security.ubuntu.com trusty-security/universe Sources                
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty Release             
Hit http://security.ubuntu.com trusty-security/main amd64 Packages             
Hit http://downloads-distro.mongodb.org dist Release                           
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main Sources
Hit http://security.ubuntu.com trusty-security/universe amd64 Packages         
Hit http://security.ubuntu.com trusty-security/main i386 Packages              
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://toolbelt.heroku.com ./ Release.gpg                                  
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted Sources
Hit http://security.ubuntu.com trusty-security/universe i386 Packages          
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://downloads-distro.mongodb.org dist/10gen amd64 Packages              
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe Sources
Get:2 http://ppa.launchpad.net trusty/main amd64 Packages [53.3 kB]            
Hit http://toolbelt.heroku.com ./ Release                                      
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse Sources
Hit http://downloads-distro.mongodb.org dist/10gen i386 Packages               
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main amd64 Packages
Hit http://toolbelt.heroku.com ./ Packages                                     
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted amd64 Packages
Get:3 http://ppa.launchpad.net trusty/main i386 Packages [53.4 kB]
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/main i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/restricted i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/universe i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-updates/multiverse i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main Sources
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted Sources
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe Sources
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse Sources
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/main i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/restricted i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/universe i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main Sources        
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted Sources  
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe Sources    
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse Sources  
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main amd64 Packages 
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse amd64 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/main i386 Packages  
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/restricted i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/universe i386 Packages
Hit http://asia-east1.gce.clouds.archive.ubuntu.com trusty/multiverse i386 Packages
Fetched 128 kB in 11s (10.7 kB/s)                                              
Reading package lists... Done

$sudo apt-get install php

sg_tmt:~/workspace $ sudo apt-get install php
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libapache2-mod-php7.1 libssl1.0.2 php-common php7.1 php7.1-cli php7.1-common
  php7.1-json php7.1-opcache php7.1-readline
The following NEW packages will be installed:
  libapache2-mod-php7.1 libssl1.0.2 php php-common php7.1 php7.1-cli
  php7.1-common php7.1-json php7.1-opcache php7.1-readline
0 upgraded, 10 newly installed, 0 to remove and 105 not upgraded.
Need to get 4928 kB of archives.
After this operation, 18.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main libssl1.0.2 amd64 1.0.2k-1+deb.sury.org~trusty+5 [1270 kB]
Get:2 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php-common all 1:52+deb.sury.org~trusty+1 [14.3 kB]
Get:3 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1-common amd64 7.1.5-1+deb.sury.org~trusty+1 [877 kB]
Get:4 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1-json amd64 7.1.5-1+deb.sury.org~trusty+1 [17.4 kB]
Get:5 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1-opcache amd64 7.1.5-1+deb.sury.org~trusty+1 [140 kB]
Get:6 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1-readline amd64 7.1.5-1+deb.sury.org~trusty+1 [12.2 kB]
Get:7 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1-cli amd64 7.1.5-1+deb.sury.org~trusty+1 [1300 kB]
Get:8 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main libapache2-mod-php7.1 amd64 7.1.5-1+deb.sury.org~trusty+1 [1242 kB]
Get:9 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php7.1 all 7.1.5-1+deb.sury.org~trusty+1 [50.1 kB]
Get:10 http://ppa.launchpad.net/ondrej/php/ubuntu/ trusty/main php all 1:7.1+52+deb.sury.org~trusty+1 [5200 B]
Fetched 4928 kB in 12s (386 kB/s)                                              
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline
Preconfiguring packages ...
Selecting previously unselected package libssl1.0.2:amd64.
(Reading database ... 75480 files and directories currently installed.)
Preparing to unpack .../libssl1.0.2_1.0.2k-1+deb.sury.org~trusty+5_amd64.deb ...
Unpacking libssl1.0.2:amd64 (1.0.2k-1+deb.sury.org~trusty+5) ...
Selecting previously unselected package php-common.
Preparing to unpack .../php-common_1%3a52+deb.sury.org~trusty+1_all.deb ...
Unpacking php-common (1:52+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1-common.
Preparing to unpack .../php7.1-common_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking php7.1-common (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1-json.
Preparing to unpack .../php7.1-json_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking php7.1-json (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1-opcache.
Preparing to unpack .../php7.1-opcache_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking php7.1-opcache (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1-readline.
Preparing to unpack .../php7.1-readline_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking php7.1-readline (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1-cli.
Preparing to unpack .../php7.1-cli_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking php7.1-cli (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package libapache2-mod-php7.1.
Preparing to unpack .../libapache2-mod-php7.1_7.1.5-1+deb.sury.org~trusty+1_amd64.deb ...
Unpacking libapache2-mod-php7.1 (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php7.1.
Preparing to unpack .../php7.1_7.1.5-1+deb.sury.org~trusty+1_all.deb ...
Unpacking php7.1 (7.1.5-1+deb.sury.org~trusty+1) ...
Selecting previously unselected package php.
Preparing to unpack .../php_1%3a7.1+52+deb.sury.org~trusty+1_all.deb ...
Unpacking php (1:7.1+52+deb.sury.org~trusty+1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up libssl1.0.2:amd64 (1.0.2k-1+deb.sury.org~trusty+5) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline
Setting up php-common (1:52+deb.sury.org~trusty+1) ...
Setting up php7.1-common (7.1.5-1+deb.sury.org~trusty+1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/calendar.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/ctype.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/exif.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/fileinfo.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/ftp.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/gettext.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/iconv.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/pdo.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/phar.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/posix.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/shmop.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/sockets.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/sysvmsg.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/sysvsem.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/sysvshm.ini with new version
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/tokenizer.ini with new version
Setting up php7.1-json (7.1.5-1+deb.sury.org~trusty+1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/json.ini with new version
Setting up php7.1-opcache (7.1.5-1+deb.sury.org~trusty+1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/opcache.ini with new version
Setting up php7.1-readline (7.1.5-1+deb.sury.org~trusty+1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/mods-available/readline.ini with new version
Setting up php7.1-cli (7.1.5-1+deb.sury.org~trusty+1) ...
update-alternatives: using /usr/bin/php7.1 to provide /usr/bin/php (php) in auto mode
update-alternatives: using /usr/bin/phar7.1 to provide /usr/bin/phar (phar) in auto mode
update-alternatives: using /usr/bin/phar.phar7.1 to provide /usr/bin/phar.phar (phar.phar) in auto mode
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/cli/php.ini with new version
Setting up libapache2-mod-php7.1 (7.1.5-1+deb.sury.org~trusty+1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Creating config file /etc/php/7.1/apache2/php.ini with new version
libapache2-mod-php7.1: php5 module already enabled, not enabling PHP 7.1
Setting up php7.1 (7.1.5-1+deb.sury.org~trusty+1) ...
Setting up php (1:7.1+52+deb.sury.org~trusty+1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.9) ...

$php -v

sg_tmt:~/workspace $ php -v
PHP 7.1.5-1+deb.sury.org~trusty+1 (cli) (built: May 11 2017 14:36:07) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies
with Zend OPcache v7.1.5-1+deb.sury.org~trusty+1, Copyright (c) 1999-2017, by Zend Technologies

これでPHPがPHP7以上にupdate完了